RHEL 2.1 / 3 : XFree86 (RHSA-2008:0029)

High Nessus Plugin ID 30001


The remote Red Hat host is missing one or more security updates.


Updated XFree86 packages that fix several security issues are now available for Red Hat Enterprise Linux 2.1 and 3.

This update has been rated as having important security impact by the Red Hat Security Response Team.

[Updated 18th January 2008] The original packages distributed with this errata had a bug which could cause some X applications to fail on 32-bit platforms. We have updated the packages to correct this bug.

XFree86 is an implementation of the X Window System, which provides the core functionality for the Linux graphical desktop.

Two integer overflow flaws were found in the XFree86 server's EVI and MIT-SHM modules. A malicious authorized client could exploit these issues to cause a denial of service (crash), or potentially execute arbitrary code with root privileges on the XFree86 server.

A heap based buffer overflow flaw was found in the way the XFree86 server handled malformed font files. A malicious local user could exploit this issue to potentially execute arbitrary code with the privileges of the XFree86 server. (CVE-2008-0006)

A memory corruption flaw was found in the XFree86 server's XInput extension. A malicious authorized client could exploit this issue to cause a denial of service (crash), or potentially execute arbitrary code with root privileges on the XFree86 server. (CVE-2007-6427)

An information disclosure flaw was found in the XFree86 server's TOG-CUP extension. A malicious authorized client could exploit this issue to cause a denial of service (crash), or potentially view arbitrary memory content within the XFree86 server's address space.

An integer and heap overflow flaw were found in the X.org font server, xfs. A user with the ability to connect to the font server could have been able to cause a denial of service (crash), or potentially execute arbitrary code with the permissions of the font server.
(CVE-2007-4568, CVE-2007-4990)

A flaw was found in the XFree86 server's XC-SECURITY extension, that could have allowed a local user to verify the existence of an arbitrary file, even in directories that are not normally accessible to that user. (CVE-2007-5958)

Users of XFree86 are advised to upgrade to these updated packages, which contain backported patches to resolve these issues.


Update the affected packages.

See Also









Plugin Details

Severity: High

ID: 30001

File Name: redhat-RHSA-2008-0029.nasl

Version: $Revision: 1.21 $

Type: local

Agent: unix

Published: 2008/01/18

Modified: 2017/01/03

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:XFree86, p-cpe:/a:redhat:enterprise_linux:XFree86-100dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-75dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-14-100dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-14-75dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-15-100dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-15-75dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-2-100dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-2-75dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-9-100dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-ISO8859-9-75dpi-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-Mesa-libGL, p-cpe:/a:redhat:enterprise_linux:XFree86-Mesa-libGLU, p-cpe:/a:redhat:enterprise_linux:XFree86-Xnest, p-cpe:/a:redhat:enterprise_linux:XFree86-Xvfb, p-cpe:/a:redhat:enterprise_linux:XFree86-base-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-cyrillic-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-devel, p-cpe:/a:redhat:enterprise_linux:XFree86-doc, p-cpe:/a:redhat:enterprise_linux:XFree86-font-utils, p-cpe:/a:redhat:enterprise_linux:XFree86-libs, p-cpe:/a:redhat:enterprise_linux:XFree86-libs-data, p-cpe:/a:redhat:enterprise_linux:XFree86-sdk, p-cpe:/a:redhat:enterprise_linux:XFree86-syriac-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-tools, p-cpe:/a:redhat:enterprise_linux:XFree86-truetype-fonts, p-cpe:/a:redhat:enterprise_linux:XFree86-twm, p-cpe:/a:redhat:enterprise_linux:XFree86-xauth, p-cpe:/a:redhat:enterprise_linux:XFree86-xdm, p-cpe:/a:redhat:enterprise_linux:XFree86-xf86cfg, p-cpe:/a:redhat:enterprise_linux:XFree86-xfs, cpe:/o:redhat:enterprise_linux:2.1, cpe:/o:redhat:enterprise_linux:3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/01/18

Vulnerability Publication Date: 2007/10/02

Exploitable With


Core Impact

Reference Information

CVE: CVE-2007-4568, CVE-2007-4990, CVE-2007-5958, CVE-2007-6427, CVE-2007-6428, CVE-2007-6429, CVE-2008-0006

BID: 25898, 27350, 27351, 27352, 27353, 27355, 27356

OSVDB: 37722, 40943

RHSA: 2008:0029

CWE: 119, 189, 200, 362, 399